# xarray.DataArray.assign_attrs

`DataArray.``assign_attrs`(*args, **kwargs)

  Assign new attrs to this object.

  Returns a new object equivalent to self.attrs.update(*args, **kwargs).

  Parameters: | args : positional arguments passed into `attrs.update`. kwargs : keyword arguments passed into `attrs.update`.

  Returns:

  assigned : same type as caller

  > A new object with the new attrs in addition to the existing data.

  See also

  `Dataset.assign`